public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-base/dconf/
Date: Fri, 30 Sep 2016 18:23:22 +0000 (UTC)	[thread overview]
Message-ID: <1475259684.e54317819b6161d060d8d31e7e10802351c23840.eva@gentoo> (raw)

commit:     e54317819b6161d060d8d31e7e10802351c23840
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 30 18:21:24 2016 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Fri Sep 30 18:21:24 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5431781

gnome-base/dconf: add dependency on dbus

dconf is a DBus based service. It is needed through GDBus at runtime
and its presence is required for unittests as well.

Gentoo-Bug: 594018

Package-Manager: portage-2.3.1

 gnome-base/dconf/dconf-0.26.0-r1.ebuild | 63 +++++++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)

diff --git a/gnome-base/dconf/dconf-0.26.0-r1.ebuild b/gnome-base/dconf/dconf-0.26.0-r1.ebuild
new file mode 100644
index 00000000..db2414e
--- /dev/null
+++ b/gnome-base/dconf/dconf-0.26.0-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit gnome2 bash-completion-r1 virtualx
+
+DESCRIPTION="Simple low-level configuration system"
+HOMEPAGE="https://wiki.gnome.org/action/show/Projects/dconf"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~arm-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+	>=dev-libs/glib-2.44.0:2
+	sys-apps/dbus
+"
+DEPEND="${RDEPEND}
+	app-text/docbook-xml-dtd:4.2
+	app-text/docbook-xsl-stylesheets
+	dev-libs/libxslt
+	dev-util/gdbus-codegen
+	>=dev-util/gtk-doc-am-1.15
+	sys-devel/gettext
+	virtual/pkgconfig
+"
+
+src_configure() {
+	gnome2_src_configure \
+		--disable-gcov \
+		--enable-man \
+		VALAC=$(type -P true)
+}
+
+src_test() {
+	virtx emake check
+}
+
+src_install() {
+	gnome2_src_install
+
+	# GSettings backend may be one of: memory, gconf, dconf
+	# Only dconf is really considered functional by upstream
+	# must have it enabled over gconf if both are installed
+	echo 'CONFIG_PROTECT_MASK="/etc/dconf"' >> 51dconf
+	echo 'GSETTINGS_BACKEND="dconf"' >> 51dconf
+	doenvd 51dconf
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+	# Kill existing dconf-service processes as recommended by upstream due to
+	# possible changes in the dconf private dbus API.
+	# dconf-service will be dbus-activated on next use.
+	pids=$(pgrep -x dconf-service)
+	if [[ $? == 0 ]]; then
+		ebegin "Stopping dconf-service; it will automatically restart on demand"
+		kill ${pids}
+		eend $?
+	fi
+}


             reply	other threads:[~2016-09-30 18:23 UTC|newest]

Thread overview: 66+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-09-30 18:23 Gilles Dartiguelongue [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-10-30 15:42 [gentoo-commits] repo/gentoo:master commit in: gnome-base/dconf/ Matt Turner
2022-05-19  5:08 WANG Xuerui
2021-05-28 19:18 Sam James
2021-04-12 21:59 Matt Turner
2020-12-04 14:24 Mikle Kolyada
2020-11-14  9:19 Mikle Kolyada
2020-11-06 15:19 Sam James
2020-11-06  6:57 Sam James
2020-11-05 16:16 Sam James
2020-08-31  2:52 Sam James
2020-08-30 18:28 Sam James
2020-07-29 11:23 Mart Raudsepp
2020-07-29  4:49 Sam James
2020-07-18 10:57 Mart Raudsepp
2020-06-07 21:02 Mart Raudsepp
2020-06-03 15:32 Agostino Sarubbo
2020-04-22 14:25 Agostino Sarubbo
2020-04-22  8:44 Agostino Sarubbo
2020-04-22  8:41 Agostino Sarubbo
2020-03-14 22:33 Mart Raudsepp
2020-02-09 15:56 Mart Raudsepp
2020-01-17 13:05 Agostino Sarubbo
2020-01-01 16:06 Mart Raudsepp
2020-01-01 15:25 Agostino Sarubbo
2019-12-09  9:14 Agostino Sarubbo
2019-12-09  9:11 Agostino Sarubbo
2019-12-09  0:10 Aaron Bauman
2019-12-08 11:59 Mikle Kolyada
2019-12-08 11:58 Mikle Kolyada
2019-12-08 11:55 Mikle Kolyada
2019-10-22  6:31 Mart Raudsepp
2019-10-09  8:27 Agostino Sarubbo
2019-09-08 16:51 Mart Raudsepp
2019-06-27 12:35 Agostino Sarubbo
2019-06-17 10:07 Mikle Kolyada
2019-05-10 17:33 Mikle Kolyada
2019-05-09 20:04 Aaron Bauman
2019-02-22 19:13 Mart Raudsepp
2018-06-28 15:05 Mikle Kolyada
2018-04-18  6:18 Mart Raudsepp
2018-02-24  9:21 Michał Górny
2017-12-27 13:02 Mart Raudsepp
2017-12-27  8:35 Markus Meier
2017-12-02 10:41 Sergei Trofimovich
2017-11-23 20:47 Sergei Trofimovich
2017-11-18 13:20 Sergei Trofimovich
2017-11-06 20:49 Tobias Klausmann
2017-11-04 13:04 Sergei Trofimovich
2017-10-25 22:21 Mart Raudsepp
2017-04-02 13:03 Mart Raudsepp
2017-03-16 13:24 Jeroen Roovers
2017-02-24 21:29 Michael Weber
2017-02-24 14:07 Agostino Sarubbo
2017-02-21  9:16 Tobias Klausmann
2017-02-18 14:44 Agostino Sarubbo
2016-12-06 20:28 Markus Meier
2016-06-25 12:22 Pacho Ramos
2016-06-25 12:22 Pacho Ramos
2016-03-20 23:10 Stephen Klimaszewski
2016-02-15 20:10 Dennis Lamm
2015-11-26 22:26 Gilles Dartiguelongue
2015-11-26 22:26 Gilles Dartiguelongue
2015-11-16 14:08 Agostino Sarubbo
2015-10-03  8:34 Markus Meier
2015-09-20  6:11 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1475259684.e54317819b6161d060d8d31e7e10802351c23840.eva@gentoo \
    --to=eva@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox